<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.17"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>ScolaSync: Référence de la classe src.gestClasse.Sconet</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
  $(document).ready(function() { init_search(); });
/* @license-end */
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">ScolaSync
   &#160;<span id="projectnumber">5.1</span>
   </div>
  </td>
   <td>        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Recherche" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
</td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Généré par Doxygen 1.8.17 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Recherche');
/* @license-end */
</script>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(document).ready(function(){initNavTree('classsrc_1_1gestClasse_1_1Sconet.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="#pub-methods">Fonctions membres publiques</a> &#124;
<a href="#pub-attribs">Attributs publics</a> &#124;
<a href="classsrc_1_1gestClasse_1_1Sconet-members.html">Liste de tous les membres</a>  </div>
  <div class="headertitle">
<div class="title">Référence de la classe src.gestClasse.Sconet</div>  </div>
</div><!--header-->
<div class="contents">

<p>Une classe pour travailler avec des données <a class="el" href="classsrc_1_1gestClasse_1_1Sconet.html" title="Une classe pour travailler avec des données Sconet.">Sconet</a>.  
 <a href="classsrc_1_1gestClasse_1_1Sconet.html#details">Plus de détails...</a></p>
<div class="dynheader">
Graphe d'héritage de src.gestClasse.Sconet:</div>
<div class="dyncontent">
<div class="center"><img src="classsrc_1_1gestClasse_1_1Sconet__inherit__graph.png" border="0" usemap="#src_8gestClasse_8Sconet_inherit__map" alt="Inheritance graph"/></div>
<map name="src_8gestClasse_8Sconet_inherit__map" id="src_8gestClasse_8Sconet_inherit__map">
<area shape="rect" title="Une classe pour travailler avec des données Sconet." alt="" coords="23,95,175,121"/>
<area shape="rect" href="classsrc_1_1gestClasse_1_1AbstractGestClasse.html" title=" " alt="" coords="5,5,193,47"/>
</map>
<center><span class="legend">[<a target="top" href="graph_legend.html">légende</a>]</span></center></div>
<div class="dynheader">
Graphe de collaboration de src.gestClasse.Sconet:</div>
<div class="dyncontent">
<div class="center"><img src="classsrc_1_1gestClasse_1_1Sconet__coll__graph.png" border="0" usemap="#src_8gestClasse_8Sconet_coll__map" alt="Collaboration graph"/></div>
<map name="src_8gestClasse_8Sconet_coll__map" id="src_8gestClasse_8Sconet_coll__map">
<area shape="rect" title="Une classe pour travailler avec des données Sconet." alt="" coords="23,95,175,121"/>
<area shape="rect" href="classsrc_1_1gestClasse_1_1AbstractGestClasse.html" title=" " alt="" coords="5,5,193,47"/>
</map>
<center><span class="legend">[<a target="top" href="graph_legend.html">légende</a>]</span></center></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Fonctions membres publiques</h2></td></tr>
<tr class="memitem:a13e5a84f2abd3df713cfdb02aacd0f16"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classsrc_1_1gestClasse_1_1Sconet.html#a13e5a84f2abd3df713cfdb02aacd0f16">__init__</a> (self, f)</td></tr>
<tr class="memdesc:a13e5a84f2abd3df713cfdb02aacd0f16"><td class="mdescLeft">&#160;</td><td class="mdescRight">Le constructeur.  <a href="classsrc_1_1gestClasse_1_1Sconet.html#a13e5a84f2abd3df713cfdb02aacd0f16">Plus de détails...</a><br /></td></tr>
<tr class="separator:a13e5a84f2abd3df713cfdb02aacd0f16"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6649d18b6a1224e91be8f16b6d37a23f"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classsrc_1_1gestClasse_1_1Sconet.html#a6649d18b6a1224e91be8f16b6d37a23f">makeCompact</a> (self)</td></tr>
<tr class="memdesc:a6649d18b6a1224e91be8f16b6d37a23f"><td class="mdescLeft">&#160;</td><td class="mdescRight">removes useless thext nodes containing only spaces.  <a href="classsrc_1_1gestClasse_1_1Sconet.html#a6649d18b6a1224e91be8f16b6d37a23f">Plus de détails...</a><br /></td></tr>
<tr class="separator:a6649d18b6a1224e91be8f16b6d37a23f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a246a577b81cdd93708ba1befadd53ce8"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classsrc_1_1gestClasse_1_1Sconet.html#a246a577b81cdd93708ba1befadd53ce8">collectNullTexts</a> (self, el)</td></tr>
<tr class="separator:a246a577b81cdd93708ba1befadd53ce8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad5b92be08cc473dcccde2a922f7ca56f"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classsrc_1_1gestClasse_1_1Sconet.html#ad5b92be08cc473dcccde2a922f7ca56f">collectClasses</a> (self)</td></tr>
<tr class="separator:ad5b92be08cc473dcccde2a922f7ca56f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abd519b58613ebdaa016f65fd2721d0a1"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classsrc_1_1gestClasse_1_1Sconet.html#abd519b58613ebdaa016f65fd2721d0a1">elevesDeClasse</a> (self, className)</td></tr>
<tr class="separator:abd519b58613ebdaa016f65fd2721d0a1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7eb7a1ce39db38fe9ecdababdb61c502"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classsrc_1_1gestClasse_1_1Sconet.html#a7eb7a1ce39db38fe9ecdababdb61c502">eleveParID</a> (self, el)</td></tr>
<tr class="separator:a7eb7a1ce39db38fe9ecdababdb61c502"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a27f46eefd411c849ebadb042f8dea5f6"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classsrc_1_1gestClasse_1_1Sconet.html#a27f46eefd411c849ebadb042f8dea5f6">unIDEleveDeClasse</a> (self, el)</td></tr>
<tr class="separator:a27f46eefd411c849ebadb042f8dea5f6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aac6664b1e9c7347f3d53b865803219a6"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classsrc_1_1gestClasse_1_1Sconet.html#aac6664b1e9c7347f3d53b865803219a6">collectOneClass</a> (self, el)</td></tr>
<tr class="memdesc:aac6664b1e9c7347f3d53b865803219a6"><td class="mdescLeft">&#160;</td><td class="mdescRight">adds one class name to the set self.classes  <a href="classsrc_1_1gestClasse_1_1Sconet.html#aac6664b1e9c7347f3d53b865803219a6">Plus de détails...</a><br /></td></tr>
<tr class="separator:aac6664b1e9c7347f3d53b865803219a6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a11382b7eeebecdc7e92499d609a1225f"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classsrc_1_1gestClasse_1_1Sconet.html#a11382b7eeebecdc7e92499d609a1225f">unique_name</a> (self, el, fields=[&quot;NOM&quot;, &quot;PRENOM&quot;])</td></tr>
<tr class="memdesc:a11382b7eeebecdc7e92499d609a1225f"><td class="mdescLeft">&#160;</td><td class="mdescRight">a unique name for an "eleve", based on a few fields and on the ID  <a href="classsrc_1_1gestClasse_1_1Sconet.html#a11382b7eeebecdc7e92499d609a1225f">Plus de détails...</a><br /></td></tr>
<tr class="separator:a11382b7eeebecdc7e92499d609a1225f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a68eaf4a20fe246b1fb25ff28bdde8a75"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classsrc_1_1gestClasse_1_1Sconet.html#a68eaf4a20fe246b1fb25ff28bdde8a75">showable_name</a> (self, el, fields=[&quot;NOM&quot;, &quot;PRENOM&quot;])</td></tr>
<tr class="separator:a68eaf4a20fe246b1fb25ff28bdde8a75"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3ef474efd765ed761bc9242e57fba753"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classsrc_1_1gestClasse_1_1Sconet.html#a3ef474efd765ed761bc9242e57fba753">elementsWalk</a> (self, el, proc)</td></tr>
<tr class="separator:a3ef474efd765ed761bc9242e57fba753"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae8013d49195d23c038fd9eb93684db4f"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classsrc_1_1gestClasse_1_1Sconet.html#ae8013d49195d23c038fd9eb93684db4f">__str__</a> (self)</td></tr>
<tr class="separator:ae8013d49195d23c038fd9eb93684db4f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_methods_classsrc_1_1gestClasse_1_1AbstractGestClasse"><td colspan="2" onclick="javascript:toggleInherit('pub_methods_classsrc_1_1gestClasse_1_1AbstractGestClasse')"><img src="closed.png" alt="-"/>&#160;Fonctions membres publiques hérités de <a class="el" href="classsrc_1_1gestClasse_1_1AbstractGestClasse.html">src.gestClasse.AbstractGestClasse</a></td></tr>
<tr class="memitem:a567bbc79b2d333d01d18f94ac10b16df inherit pub_methods_classsrc_1_1gestClasse_1_1AbstractGestClasse"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classsrc_1_1gestClasse_1_1AbstractGestClasse.html#a567bbc79b2d333d01d18f94ac10b16df">unique_name</a> (self, el)</td></tr>
<tr class="separator:a567bbc79b2d333d01d18f94ac10b16df inherit pub_methods_classsrc_1_1gestClasse_1_1AbstractGestClasse"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aea16310718e6092ad99b0102d7450c20 inherit pub_methods_classsrc_1_1gestClasse_1_1AbstractGestClasse"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classsrc_1_1gestClasse_1_1AbstractGestClasse.html#aea16310718e6092ad99b0102d7450c20">showable_name</a> (self, el)</td></tr>
<tr class="separator:aea16310718e6092ad99b0102d7450c20 inherit pub_methods_classsrc_1_1gestClasse_1_1AbstractGestClasse"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-attribs"></a>
Attributs publics</h2></td></tr>
<tr class="memitem:a1125bf7446b809d2451b7bdfb7b83041"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classsrc_1_1gestClasse_1_1Sconet.html#a1125bf7446b809d2451b7bdfb7b83041">donnees</a></td></tr>
<tr class="separator:a1125bf7446b809d2451b7bdfb7b83041"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a35b19825b48aacc680fd52e195ad6f8e"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classsrc_1_1gestClasse_1_1Sconet.html#a35b19825b48aacc680fd52e195ad6f8e">nullTexts</a></td></tr>
<tr class="separator:a35b19825b48aacc680fd52e195ad6f8e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:afe8e667f17579b472a8242bdee122f6e"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classsrc_1_1gestClasse_1_1Sconet.html#afe8e667f17579b472a8242bdee122f6e">classes</a></td></tr>
<tr class="separator:afe8e667f17579b472a8242bdee122f6e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa114bd58d2b2c68fbd84a7e4452d60d4"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classsrc_1_1gestClasse_1_1Sconet.html#aa114bd58d2b2c68fbd84a7e4452d60d4">currentResult</a></td></tr>
<tr class="separator:aa114bd58d2b2c68fbd84a7e4452d60d4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0af53ca87091e674b2a0e28eef4d447e"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classsrc_1_1gestClasse_1_1Sconet.html#a0af53ca87091e674b2a0e28eef4d447e">currentClassName</a></td></tr>
<tr class="separator:a0af53ca87091e674b2a0e28eef4d447e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8728615069c16a862dab32745968358b"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classsrc_1_1gestClasse_1_1Sconet.html#a8728615069c16a862dab32745968358b">currentID</a></td></tr>
<tr class="separator:a8728615069c16a862dab32745968358b"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Description détaillée</h2>
<div class="textblock"><p>Une classe pour travailler avec des données <a class="el" href="classsrc_1_1gestClasse_1_1Sconet.html" title="Une classe pour travailler avec des données Sconet.">Sconet</a>. </p>

<p class="definition">Définition à la ligne <a class="el" href="gestClasse_8py_source.html#l00072">72</a> du fichier <a class="el" href="gestClasse_8py_source.html">gestClasse.py</a>.</p>
</div><h2 class="groupheader">Documentation des constructeurs et destructeur</h2>
<a id="a13e5a84f2abd3df713cfdb02aacd0f16"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a13e5a84f2abd3df713cfdb02aacd0f16">&#9670;&nbsp;</a></span>__init__()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">def src.gestClasse.Sconet.__init__ </td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>self</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>f</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Le constructeur. </p>
<dl class="params"><dt>Paramètres</dt><dd>
  <table class="params">
    <tr><td class="paramname">f</td><td>le nom d'un fichier, ou un fichier ouvert en lecture </td></tr>
  </table>
  </dd>
</dl>

<p>Réimplémentée à partir de <a class="el" href="classsrc_1_1gestClasse_1_1AbstractGestClasse.html#afa23ddd2df7f94583a72af62fe2e0c73">src.gestClasse.AbstractGestClasse</a>.</p>

<p class="definition">Définition à la ligne <a class="el" href="gestClasse_8py_source.html#l00078">78</a> du fichier <a class="el" href="gestClasse_8py_source.html">gestClasse.py</a>.</p>

</div>
</div>
<h2 class="groupheader">Documentation des fonctions membres</h2>
<a id="ae8013d49195d23c038fd9eb93684db4f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae8013d49195d23c038fd9eb93684db4f">&#9670;&nbsp;</a></span>__str__()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">def src.gestClasse.Sconet.__str__ </td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>self</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Définition à la ligne <a class="el" href="gestClasse_8py_source.html#l00200">200</a> du fichier <a class="el" href="gestClasse_8py_source.html">gestClasse.py</a>.</p>

</div>
</div>
<a id="ad5b92be08cc473dcccde2a922f7ca56f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad5b92be08cc473dcccde2a922f7ca56f">&#9670;&nbsp;</a></span>collectClasses()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">def src.gestClasse.Sconet.collectClasses </td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>self</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<dl class="section return"><dt>Renvoie</dt><dd>the list of classes containg students </dd></dl>

<p>Réimplémentée à partir de <a class="el" href="classsrc_1_1gestClasse_1_1AbstractGestClasse.html#aae97cc45608496243db80c85fbfb8dd4">src.gestClasse.AbstractGestClasse</a>.</p>

<p class="definition">Définition à la ligne <a class="el" href="gestClasse_8py_source.html#l00109">109</a> du fichier <a class="el" href="gestClasse_8py_source.html">gestClasse.py</a>.</p>

</div>
</div>
<a id="a246a577b81cdd93708ba1befadd53ce8"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a246a577b81cdd93708ba1befadd53ce8">&#9670;&nbsp;</a></span>collectNullTexts()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">def src.gestClasse.Sconet.collectNullTexts </td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>self</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>el</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Définition à la ligne <a class="el" href="gestClasse_8py_source.html#l00100">100</a> du fichier <a class="el" href="gestClasse_8py_source.html">gestClasse.py</a>.</p>

</div>
</div>
<a id="aac6664b1e9c7347f3d53b865803219a6"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aac6664b1e9c7347f3d53b865803219a6">&#9670;&nbsp;</a></span>collectOneClass()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">def src.gestClasse.Sconet.collectOneClass </td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>self</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>el</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>adds one class name to the set self.classes </p>
<dl class="params"><dt>Paramètres</dt><dd>
  <table class="params">
    <tr><td class="paramname">el</td><td>an element </td></tr>
  </table>
  </dd>
</dl>

<p class="definition">Définition à la ligne <a class="el" href="gestClasse_8py_source.html#l00158">158</a> du fichier <a class="el" href="gestClasse_8py_source.html">gestClasse.py</a>.</p>

</div>
</div>
<a id="a3ef474efd765ed761bc9242e57fba753"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a3ef474efd765ed761bc9242e57fba753">&#9670;&nbsp;</a></span>elementsWalk()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">def src.gestClasse.Sconet.elementsWalk </td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>self</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>el</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>proc</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Définition à la ligne <a class="el" href="gestClasse_8py_source.html#l00195">195</a> du fichier <a class="el" href="gestClasse_8py_source.html">gestClasse.py</a>.</p>
<div class="dynheader">
Voici le graphe d'appel pour cette fonction :</div>
<div class="dyncontent">
<div class="center"><img src="classsrc_1_1gestClasse_1_1Sconet_a3ef474efd765ed761bc9242e57fba753_cgraph.png" border="0" usemap="#classsrc_1_1gestClasse_1_1Sconet_a3ef474efd765ed761bc9242e57fba753_cgraph" alt=""/></div>
<map name="classsrc_1_1gestClasse_1_1Sconet_a3ef474efd765ed761bc9242e57fba753_cgraph" id="classsrc_1_1gestClasse_1_1Sconet_a3ef474efd765ed761bc9242e57fba753_cgraph">
<area shape="rect" title=" " alt="" coords="5,29,243,56"/>
</map>
</div>
<div class="dynheader">
Voici le graphe des appelants de cette fonction :</div>
<div class="dyncontent">
<div class="center"><img src="classsrc_1_1gestClasse_1_1Sconet_a3ef474efd765ed761bc9242e57fba753_icgraph.png" border="0" usemap="#classsrc_1_1gestClasse_1_1Sconet_a3ef474efd765ed761bc9242e57fba753_icgraph" alt=""/></div>
<map name="classsrc_1_1gestClasse_1_1Sconet_a3ef474efd765ed761bc9242e57fba753_icgraph" id="classsrc_1_1gestClasse_1_1Sconet_a3ef474efd765ed761bc9242e57fba753_icgraph">
<area shape="rect" title=" " alt="" coords="264,29,501,56"/>
<area shape="rect" href="classsrc_1_1sconet_1_1Sconet.html#a8cb1babab414e0a609b29b5a8238bb66" title=" " alt="" coords="5,29,216,56"/>
</map>
</div>

</div>
</div>
<a id="a7eb7a1ce39db38fe9ecdababdb61c502"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a7eb7a1ce39db38fe9ecdababdb61c502">&#9670;&nbsp;</a></span>eleveParID()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">def src.gestClasse.Sconet.eleveParID </td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>self</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>el</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Définition à la ligne <a class="el" href="gestClasse_8py_source.html#l00136">136</a> du fichier <a class="el" href="gestClasse_8py_source.html">gestClasse.py</a>.</p>

</div>
</div>
<a id="abd519b58613ebdaa016f65fd2721d0a1"></a>
<h2 class="memtitle"><span class="permalink"><a href="#abd519b58613ebdaa016f65fd2721d0a1">&#9670;&nbsp;</a></span>elevesDeClasse()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">def src.gestClasse.Sconet.elevesDeClasse </td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>self</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>className</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<dl class="params"><dt>Paramètres</dt><dd>
  <table class="params">
    <tr><td class="paramname">className</td><td>name of a school class </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Renvoie</dt><dd>list of "eleve" elements </dd></dl>

<p>Réimplémentée à partir de <a class="el" href="classsrc_1_1gestClasse_1_1AbstractGestClasse.html#a7b4389a7aba686ce3814bc27cad05629">src.gestClasse.AbstractGestClasse</a>.</p>

<p class="definition">Définition à la ligne <a class="el" href="gestClasse_8py_source.html#l00118">118</a> du fichier <a class="el" href="gestClasse_8py_source.html">gestClasse.py</a>.</p>

</div>
</div>
<a id="a6649d18b6a1224e91be8f16b6d37a23f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a6649d18b6a1224e91be8f16b6d37a23f">&#9670;&nbsp;</a></span>makeCompact()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">def src.gestClasse.Sconet.makeCompact </td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>self</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>removes useless thext nodes containing only spaces. </p>

<p class="definition">Définition à la ligne <a class="el" href="gestClasse_8py_source.html#l00093">93</a> du fichier <a class="el" href="gestClasse_8py_source.html">gestClasse.py</a>.</p>

</div>
</div>
<a id="a68eaf4a20fe246b1fb25ff28bdde8a75"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a68eaf4a20fe246b1fb25ff28bdde8a75">&#9670;&nbsp;</a></span>showable_name()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">def src.gestClasse.Sconet.showable_name </td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>self</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>el</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>fields</em> = <code>[&quot;NOM&quot;,&#160;&quot;PRENOM&quot;]</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<dl class="params"><dt>Paramètres</dt><dd>
  <table class="params">
    <tr><td class="paramname">el</td><td>un objet élève </td></tr>
    <tr><td class="paramname">fields</td><td>les champs de donnée à exploiter </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Renvoie</dt><dd>une chaîne unicode, pour nommer l'élève </dd></dl>

<p class="definition">Définition à la ligne <a class="el" href="gestClasse_8py_source.html#l00182">182</a> du fichier <a class="el" href="gestClasse_8py_source.html">gestClasse.py</a>.</p>

</div>
</div>
<a id="a27f46eefd411c849ebadb042f8dea5f6"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a27f46eefd411c849ebadb042f8dea5f6">&#9670;&nbsp;</a></span>unIDEleveDeClasse()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">def src.gestClasse.Sconet.unIDEleveDeClasse </td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>self</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>el</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Définition à la ligne <a class="el" href="gestClasse_8py_source.html#l00145">145</a> du fichier <a class="el" href="gestClasse_8py_source.html">gestClasse.py</a>.</p>

</div>
</div>
<a id="a11382b7eeebecdc7e92499d609a1225f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a11382b7eeebecdc7e92499d609a1225f">&#9670;&nbsp;</a></span>unique_name()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">def src.gestClasse.Sconet.unique_name </td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>self</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>el</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>fields</em> = <code>[&quot;NOM&quot;,&#160;&quot;PRENOM&quot;]</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>a unique name for an "eleve", based on a few fields and on the ID </p>
<dl class="params"><dt>Paramètres</dt><dd>
  <table class="params">
    <tr><td class="paramname">el</td><td>en "eleve" element </td></tr>
    <tr><td class="paramname">fields</td><td>the fields used to build the result @retun a printable unique id </td></tr>
  </table>
  </dd>
</dl>

<p class="definition">Définition à la ligne <a class="el" href="gestClasse_8py_source.html#l00170">170</a> du fichier <a class="el" href="gestClasse_8py_source.html">gestClasse.py</a>.</p>

</div>
</div>
<h2 class="groupheader">Documentation des données membres</h2>
<a id="afe8e667f17579b472a8242bdee122f6e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#afe8e667f17579b472a8242bdee122f6e">&#9670;&nbsp;</a></span>classes</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">src.gestClasse.Sconet.classes</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Définition à la ligne <a class="el" href="gestClasse_8py_source.html#l00110">110</a> du fichier <a class="el" href="gestClasse_8py_source.html">gestClasse.py</a>.</p>

</div>
</div>
<a id="a0af53ca87091e674b2a0e28eef4d447e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a0af53ca87091e674b2a0e28eef4d447e">&#9670;&nbsp;</a></span>currentClassName</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">src.gestClasse.Sconet.currentClassName</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Définition à la ligne <a class="el" href="gestClasse_8py_source.html#l00120">120</a> du fichier <a class="el" href="gestClasse_8py_source.html">gestClasse.py</a>.</p>

</div>
</div>
<a id="a8728615069c16a862dab32745968358b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a8728615069c16a862dab32745968358b">&#9670;&nbsp;</a></span>currentID</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">src.gestClasse.Sconet.currentID</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Définition à la ligne <a class="el" href="gestClasse_8py_source.html#l00125">125</a> du fichier <a class="el" href="gestClasse_8py_source.html">gestClasse.py</a>.</p>

</div>
</div>
<a id="aa114bd58d2b2c68fbd84a7e4452d60d4"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa114bd58d2b2c68fbd84a7e4452d60d4">&#9670;&nbsp;</a></span>currentResult</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">src.gestClasse.Sconet.currentResult</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Définition à la ligne <a class="el" href="gestClasse_8py_source.html#l00119">119</a> du fichier <a class="el" href="gestClasse_8py_source.html">gestClasse.py</a>.</p>

</div>
</div>
<a id="a1125bf7446b809d2451b7bdfb7b83041"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a1125bf7446b809d2451b7bdfb7b83041">&#9670;&nbsp;</a></span>donnees</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">src.gestClasse.Sconet.donnees</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Définition à la ligne <a class="el" href="gestClasse_8py_source.html#l00087">87</a> du fichier <a class="el" href="gestClasse_8py_source.html">gestClasse.py</a>.</p>

</div>
</div>
<a id="a35b19825b48aacc680fd52e195ad6f8e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a35b19825b48aacc680fd52e195ad6f8e">&#9670;&nbsp;</a></span>nullTexts</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">src.gestClasse.Sconet.nullTexts</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Définition à la ligne <a class="el" href="gestClasse_8py_source.html#l00094">94</a> du fichier <a class="el" href="gestClasse_8py_source.html">gestClasse.py</a>.</p>

</div>
</div>
<hr/>La documentation de cette classe a été générée à partir du fichier suivant :<ul>
<li>src/<a class="el" href="gestClasse_8py_source.html">gestClasse.py</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="namespacesrc.html">src</a></li><li class="navelem"><a class="el" href="namespacesrc_1_1gestClasse.html">gestClasse</a></li><li class="navelem"><a class="el" href="classsrc_1_1gestClasse_1_1Sconet.html">Sconet</a></li>
    <li class="footer">Généré par
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.17 </li>
  </ul>
</div>
</body>
</html>
